Subject: Help: looking for a source for phytochelatin

From: [email-masked] (Choon-Hwan Lee)
Date: 23 Mar 1996 09:10:11 GMT

I am looking for a source for phytochelatin (PC) or cadystin (a metal binding 
peptide), the molecular composition of which is (r-GluCys)n-Gly (generally 
n=2-11, but I'd like to have n=2-4).

I am a graduate student of Dept. of Biology of Seoul Natl. Univ. in Korea.
To investigate the induction profiles of the PC by the heavy metal stresses 
and the compositions of PCs  with different values of n, I am trying to 
separate Cd-PC complex through Sephadex G-50 gel column. In this experiment,  
I need standard chemicals for PC with n = 2-4,  because PCs with n=2-4 is 
reported to be normally found in plants.
Unfortunately, I do not have any idea where can I get it or whom do I have to 
contact.

Please help me and I will greatly appreciate.

                                                                Il-Sun Yun

E-mail : [email-masked]
         [email-masked]